
$(document).ready(function () {

    // 首页头部悬浮固定
    if (window.location.pathname == '/') {
        var header = $("#header").offset().top;
        $(window).scroll(function () {
            var top = $(window).scrollTop();
            if (top >= header) {
                $("#header").addClass("header_fixed");
            } else {
                $("#header").removeClass("header_fixed");
            }
        });
    }
    
    $('.header').mouseenter(function (e) {
        $(this).addClass("over");
    });
    $('.header').mouseleave(function (e) {
        $(this).removeClass("over");
        $('.nav_cont.on').removeClass('on');
        $('.header .nav_list li.on').removeClass('on');
    });
    // 头部--nav 效果
    $('.header .nav_list li').mouseenter(function (e) {
        $(this).addClass("on").siblings().removeClass('on');
        var index = $(this).index();
        if ($(this).hasClass('no-expands')) {
            $('.nav_content .nav_cont').removeClass('on');
            return;
        }
        $('.nav_content .nav_cont').removeClass('on');
        $('.nav_content .nav_cont').eq(index).addClass('on');
    });
    // banner 轮播图
    bannerSlider();
    // 新闻资讯--轮播图
    newsSlider();
    // 新闻资讯--tab切换
    $(".news_tab li").click(function () {
        $(this).addClass('on').siblings().removeClass('on');
        var index = $(this).index();
        var content = '.news_con_con';
        switch (index) {
            case 0:
                $(content).hide();
                $(content + '01').show();
                break;
            case 1:
                $(content).hide();
                $(content + '02').show();
                break;
            default:
                break;
        }
    });
    // 新闻资讯--新闻划过效果
    var $newTanLi = $(".news_tab_list li");
    $newTanLi.eq(0).addClass("active");
    $newTanLi.eq(6).addClass("active");
    if ($newTanLi.eq(0).hasClass("active")) {
        $newTanLi.eq(0).css("border-top", "0");
    }
    if ($newTanLi.eq(6).hasClass("active")) {
        $newTanLi.eq(6).css("border-top", "0");
    }
    $newTanLi.hover(function () {
        $(this).addClass("active").siblings().removeClass("active");
    });
    $(".list_con a").each(function () {
        var maxwidth = 80;
        if ($(this).text().length > maxwidth) {
            $(this).text($(this).text().substring(0, maxwidth));
            $(this).html($(this).html() + '…');
        }
    });
    // 大旅游生态
    heartSlider(); //用心陪着你
    $(".ly_list01 li").eq(3).addClass("mar0");
    $(".ly_list02 li").eq(2).addClass("mar0");
    // 数字中青旅
    $(".num_zqv_list li").eq(2).addClass("mar0");
    $(".num_zqv_list li").eq(5).addClass("mar0");
    // 关于我们--点击返回顶部
    goToTop();
    $(window).scroll(function () {
        fixedGoToTopPos();
    });
    // 关于我们--荣誉奖项
    us_ryjx_tab();
    $(".us_ryjx_tab_ul .us_ryjx_tab_li").click(function () {
        var index = $(this).index();
        $(this).addClass("active").siblings().removeClass("active");
        $(".us_ryjx_box .us_ryjx_list").eq(index).addClass("show").siblings().removeClass("show");
    });
    // 新闻资讯--新闻报道
    $('.news_search_box').click(function (event) {
        event.stopPropagation();
        //$(this).addClass("on");
    });
    $(document).click(function (e) {
        if ($("#search").val() == "") {
            $('.news_search_box').removeClass("on");
            $(".news_search_text").val("");
        }
    });
    $(".dtbd_tab li").click(function () {
        var index = $(this).index();
        $(this).addClass('active').siblings().removeClass('active');
        $(".dtbd_box .dtbd_list").eq(index).addClass("show").siblings().removeClass("show");
    });
    // 新闻资讯--新闻报道--列表数据
    getDataPro("news01", 1, 8, "", "");
    getDataDq("dqjs_list_box", 1, 8)
    getDatacsr("shzr_list_box", 1, 6)
    getDatair("xxpl_list_box", 1, 8, "")
    getDatahr("recruit_list", 1, 8, "")

    // 新闻资讯--图片库
    $(".photos_tab li").click(function () {
        var index = $(this).index();
        $(this).addClass('active').siblings().removeClass('active');
        $(".photos_box .photos_list").eq(index).addClass("show").siblings().removeClass("show");
    });
    $(".photos_list_box .photos_list_li").click(function () {
        $("#alterDiv").empty();
        $("#alterDivT").empty();
        $("#alterDiv").attr("style", "");
        $("#alterDivT").attr("style", "");
        var divhtml = "";
        var divt = "";
        var info = JSON.parse($(this).attr("data-con"));
        $.each(info, function (e, ele) {
            if (e == "PvView") {
                $.each(ele, function (i, div) {
                    divhtml += "<div class=\"photos_img\"><img src=\"" + getFullurl(div.PicUrl) + "\" /></div>";
                    if (divt == "") {
                        divt = "<div class=\"photos_img_tit clearfix\"><h3>" + div.Title + "</h3><div class=\"photos_img_num clearfix\"><span class=\"cur\"></span><span>/</span><span class=\"zong\"></span></div></div>";
                        divt += "<div class=\"photos_img_jj\">" + div.Summary + "</div>";
                    }
                });
            }
        });
        $("#alterDiv").html(divhtml);
        $("#alterDivT").html(divt);
        $(".photos_pop").show();
        photosSlider();
    });
    $(".photos_close_btn").click(function () {
        $(".photos_pop").hide();
    });
    // 新闻资讯--视频影像
    $(".video_tab li").click(function () {
        var index = $(this).index();
        $(this).addClass('active').siblings().removeClass('active');
        $(".video_box .video_list").eq(index).addClass("show").siblings().removeClass("show");
    });
    $(".video_list_box .video_list_li").click(function () {
        $("#alterDiv").empty();
        var s = "";
        var info = JSON.parse($(this).attr("data-con"));
        $.each(info, function (e, ele) {
            if (e == "PvView") {
                $.each(ele, function (i, div) {
                    s += "<div class=\"video_list\">";
                    s += "<video class=\"video-js\" id=\"videos\" controls preload=\"auto\" width=\"800\" height=\"450\" poster=\"" + getFullurl(div.PicUrl) + "\"data-setup=\"{}\"><source src=\"" + getFullurl(div.VideoUrl) + "\" type=\"video/mp4\"></video>";
                    s += "<div class=\"video_text_con\">";
                    s += "<div class=\"video_text\">"+div.Title+"</div>";
                    s += "<div class=\"video_date\">发布时间：" + div.CreateTime + "</div>";
                    s += "</div>";
                    s += "</div>";
                });
            }
        });
        $("#alterDiv").html(s);
        $(".videos_pop").show();
        videoSlider();
    });
    $(".video_close_btn").click(function () {
        $(".videos_pop").hide();
    });
    // 大旅游生态轮播
    if (window.location.pathname == "/tourismeco/" || window.location.pathname == "/tourismeco/scenicspot/") {
        lystSlider1("ts1");
        lystSlider1("ts0");
    } else {
        lystSlider();
    }
    
    if (window.location.pathname == "/ir/periodicreport/") {
        $(".irm_tit_box li a").eq(1).click()
    }
    
    // 社会责任
    shzrSlider();
    // 投资者关系--tab切换
    $(".irm_tab li").click(function () {
        var index = $(this).index();
        $(this).addClass('active').siblings().removeClass('active');
    });
    // 锚点滑动
    $("a[href*='#'],area[href*='#']").click(function () {
        if (location.pathname.replace(/^\//, '') === this.pathname.replace(/^\//, '') && location.hostname === this.hostname) {
            var $target = $(this.hash);
            $target = $target.length && $target || $('[name=' + this.hash.slice(1) + ']');
            if ($target.length) {
                var targetOffset = $target.offset().top;
                $('html,body').animate({
                    scrollTop: targetOffset
                },
                  1000);
                return false;
            }
        }
    });

    $(".news_search_btn").click(function () {
        var txt = $("#search").val()
        if (txt == "") {
            $(".news_search_box").addClass("on")
        } else {
            $("#nojieguo").hide();
            var str = $(".news_tit_box li").eq(0).hasClass("active") ? "news01" : "news02";
            var guid = $(".news_tit_box li").eq(0).hasClass("active") ? $(".news_tit_box li").eq(0).attr("data-rel") : $(".news_tit_box li").eq(1).attr("data-rel");
            getDataPro(str, 1, 8, guid, $("#search").val());
        }
    });
});

// banner 轮播图
function bannerSlider() {
   
    var index = 1,
        len = $('.mobile-pic li').length,
      timer,
      str = '';
    for (var i = 1; i <= len; i++) {
        if (i === 1) {
            str += '<li class="navactive"></li>';
        } else {
            str += '<li></li>';
        }
    }
    $('.navlist').append(str);
    for (var i = 0; i < len; i++) {
        $('.mobile-pic li').eq(i).css({ 'z-index': len - i });
        $('.banner-list li').eq(i).css({ 'z-index': len - i });
    }
    $('.mobile').hover(function () {
        clearInterval(timer);
    }, function () {
        timer = setInterval(function () {
            play(index + 1);
        }, 5000);
    }).mouseleave();
    $('.navlist li').hover(function () {
        play($(this).index() + 1);
    });

    function play(num) {
        if (!$('.mobile-pic').is(':animated')) {
            if (num > len) {
                num = 1;
            } else if (num <= 0) {
                num = len;
            }
            index = num;
            $('.mobile-pic li').eq(index - 1).show().siblings().hide();
            $('.banner-list li').eq(index - 1).show().siblings().hide();
            $('.navlist li').eq(index - 1).addClass('navactive').siblings().removeClass('navactive');
        }
    }
}

// 新闻资讯--轮播图
function newsSlider() {
    
    var index = 1,
      len = $('.slider-con li').length,
      timer,
      str = '',
      text,
      href;
    for (var i = 1; i <= len; i++) {
        if (i === 1) {
            str += '<li class="on"></li>';
        } else {
            str += '<li></li>';
        }
    }
    $('.slider-list').append(str);
    for (var i = 0; i < len; i++) {
        $('.slider-con li').eq(i).css({ 'z-index': len - i });
    }
    $('.slider').hover(function () {
        clearInterval(timer);
    }, function () {
        timer = setInterval(function () {
            play(index + 1);
        }, 3000);
    }).mouseleave();
    $('.slider-list li').hover(function () {
        play($(this).index() + 1);
    });

    function play(num) {
        if (!$('.slider').is(':animated')) {
            if (num > len) {
                num = 1;
            } else if (num <= 0) {
                num = len;
            }
            index = num;
            text = $(".slider-con li").eq(index - 1).attr("data-text");
            href = $(".slider-con li").eq(index - 1).find("a").attr("href");
            $('.slider-con li').eq(index - 1).show().siblings().hide();
            $('.slider-list li').eq(index - 1).addClass('on').siblings().removeClass('on');
            $(".slider-text a").html(text);
            $(".slider-text a").attr("title", text);
            $(".slider-text a").attr("href", href);
        }
    }
}

// 大旅游生态
function heartSlider() {
    var curIndex = 0,
      listLen = $(".heart_list li").length,  //图片总数
      listWid = $(".heart_list li").outerWidth(true); //图片宽度
    if (listLen === 4) {
        $(".btn_box").hide();
    } else {
        $(".btn_box").show();
    }
    $(".l_btn").click(function () {
        if ($(this).hasClass("l_btn_def")) {
            return false;
        } else {
            curIndex = (curIndex > 0) ? (--curIndex) : (listLen - 1);
            changeTo(curIndex);
            if (curIndex > 0) {
                $(".r_btn").removeClass("r_btn_def");
            } else {
                $(".l_btn").addClass("l_btn_def");
                $(".r_btn").removeClass("r_btn_def");
                return false;
            }
        }
    });
    $(".r_btn").click(function () {
        if ($(this).hasClass("r_btn_def")) {
            return false;
        } else {
            curIndex = (curIndex < listLen - 1) ? (++curIndex) : 0;
            changeTo(curIndex);
            if (curIndex < listLen - 4) {
                $(".l_btn").removeClass("l_btn_def");
            } else {
                $(".r_btn").addClass("r_btn_def");
                $(".l_btn").removeClass("l_btn_def");
                return false;
            }
        }
    });
    function changeTo(num) {

        var goLeft = num * listWid;
        $(".heart_list").animate({ left: "-" + goLeft + "px" }, 500);
    }
}

// 关于我们--点击返回顶部
function goToTop() {
    $(".go_to_top").on("click", function () {
        $("body,html").animate({
            scrollTop: 0
        }, 500)
    })
}

// 关于我们--点击返回顶部
function fixedGoToTopPos() {
    var windowHeight = $(window).height();
    var t = $(window).scrollTop()
      , e = $(".footer_box").offset().top
      , a = e - t - windowHeight;
    if (t > 600) {
        if ($(".go_to_top").fadeIn(),
          a < 0) {
            var o = t + windowHeight - e + 100;
            $(".go_to_top").css("bottom", o)
        } else
            $(".go_to_top").css("bottom", "100px");
    } else
        $(".go_to_top").fadeOut()
}


// 荣誉奖项
function us_ryjx_tab() {
  var curIndex = 0,
    $tabul = $(".us_ryjx_tab_ul"),
    $tabLi = $(".us_ryjx_tab_ul .us_ryjx_tab_li"),
    $btnLeft = $(".us_ryjx_l_btn"),
    $btnRight = $(".us_ryjx_r_btn"),
    listLen = $tabLi.length,
    ulWid = $tabul.outerWidth(true),
    liWid = $tabLi.outerWidth(true);
  $(".us_ryjx_tab_wrap").width(ulWid);
  $(".us_ryjx_tab_ul .us_ryjx_tab_li:last-child").addClass("w170")
  if (listLen < 6) {
    $btnLeft.addClass("us_ryjx_l_btn_def");
    $btnRight.addClass("us_ryjx_r_btn_def");
  }
  $btnLeft.click(function () {
    if ($(this).hasClass("us_ryjx_l_btn_def")) {
      return false;
    } else {
      curIndex = (curIndex > 0) ? (--curIndex) : (listLen - 1);
      changeTo(curIndex);
      if (curIndex > 0) {
        $btnRight.removeClass("us_ryjx_r_btn_def");
      } else {
        $btnLeft.addClass("us_ryjx_l_btn_def");
        return false;
      }
    }
  });
  $btnRight.click(function () {
    if ($(this).hasClass("us_ryjx_r_btn_def")) {
      return false;
    } else {
      curIndex = (curIndex < listLen - 1) ? (++curIndex) : 0;
      changeTo(curIndex);
      if (curIndex < listLen - 6) {
        $btnLeft.removeClass("us_ryjx_l_btn_def");
      } else {
        $btnRight.addClass("us_ryjx_r_btn_def");
        return false;
      }
    }
  });

  function changeTo(num) {
    var goLeft;
    if (num < listLen - 6) {
      goLeft = num * (liWid);
    } else {
      goLeft = num * (liWid) + 50;
    }
    $(".us_ryjx_tab_ul").animate({left: "-" + goLeft + "px"}, 500);
  }
}
//新闻资讯
function getDataPro(id, p, other, guid, tit) {
    var $id = $("#" + id);
    if ($("#search").length > 0) {
        tit = $("#search").val();
    }
    if (guid == "") {
        guid = "b5eb5cb5-9e72-474b-93be-1ed628f83043";
    }
    $.ajax({
        type: "Post",
        url: "/news/dtbdList?Guid=" + guid + "&page=" + p + "&row=" + other + "&title=" + tit,
        dataType: "json",
        success: function (DataPro) {
            if (DataPro == null) {
                $("#frist").hide();
                $("#nojieguo").show();
                var hmtl = "抱歉，暂时没找到与 <span>’" + tit + "‘</span>匹配的结果";
                $("#nojieguo .text01").html(hmtl);
            }
            else {
                var hmtl = "搜索“<span style='color:#EE6906'>" + tit + "</span>”，找到相关新闻约" + DataPro[0].DataID + "篇"
                $("#nojieguo").hide();
                var pageSize = Math.ceil(DataPro[0].DataID / other);
                if (pageSize > 0) {
                    if ($id.next().hasClass("page")) {
                        $id.empty();
                        $.each(DataPro, function (i, obj) {
                            var txt = obj.Summary
                            if (txt.length > 80) {
                                txt = txt.substring(0, 80) + "...";
                            }
                            $id.append('<div class="dtbd_list_li"><a target=_blank class="dtbd_list_img" href="/news/getDetail?id=' + obj.ID + '" target="_blank" title="' + obj.Title + '"><img src="' + getFullurl(obj.PicUrl) + '?imageView2/2/w/244/h/183/" alt="' + obj.Title + '"></a><div class="dtbd_list_con"><h3><a target=_blank href="/News/GetDetail?id=' + obj.ID + '"  title="' + obj.Title + '">' + obj.Title + '</a></h3><p>' + txt + '</p><span class="date">发布时间：' + getFDate(obj.CreateTime) + '</span></div></div>');
                        });
                        $id.children(".loading").remove();
                        if (tit != "") {
                            var txt01 = id == "news01" ? "n1" : "n2";
                            $("#" + txt01).html(hmtl);
                            $("#" + txt01).show();
                        }
                        $("#frist").show();
                    }
                    else {
                        $id.after("<div class=\"page clearfix\" id=\"" + id + "pages\" ></div>");
                        $id.empty();
                        $.each(DataPro, function (i, obj) {
                            var txt = obj.Summary
                            if (txt.length > 80) {
                                txt = txt.substring(0, 80) + "...";
                            }
                            $id.append('<div class="dtbd_list_li"><a target=_blank class="dtbd_list_img" href="/news/getDetail?id=' + obj.ID + '" target="_blank" title="' + obj.Title + '"><img src="' + getFullurl(obj.PicUrl) + '?imageView2/2/w/244/h/183/" alt="' + obj.Title + '"></a><div class="dtbd_list_con"><h3><a target=_blank href="/News/GetDetail?id=' + obj.ID + '"  title="' + obj.Title + '">' + obj.Title + '</a></h3><p>' + txt + '</p><span class="date">发布时间：' + getFDate(obj.CreateTime) + '</span></div></div>');
                        });
                        if (tit != "") {
                            var txt01 = id == "news01" ? "n1" : "n2";
                            $("#" + txt01).html(hmtl);
                            $("#" + txt01).show();
                        }
                        $("#frist").show();
                    }
                    kkpager.init({
                        //divID
                        pagerid: id + "pages",
                        //当前页码
                        pno: p,
                        //总页码
                        total: pageSize,
                        //总数据条数
                        totalRecords: DataPro[0].DataID,
                        //链接前部
                        hrefFormer: "javascript:getDataPro(\'" + id + "\'",
                        hrefLatter: "," + other + ",'" + guid + "','" + tit + "');"
                    });
                    kkpager.generPageHtml();
 

                }
            }
        },
        error: function () {
            console.log("新闻资讯接口报错");
        }
    });
}
function getDataDq(id, p, other) {
    var guid = $("#dqjs").val();
    var $id = $("." + id);
    if (guid != undefined) {
        $.ajax({
            type: "Post",
            url: "/cpc/dtbdList?Guid=" + guid + "&page=" + p + "&row=" + other,
            dataType: "json",
            success: function (DataPro) {
                if (DataPro == null) {
                    alert("暂无数据")
                }
                else {
                    var pageSize = Math.ceil(DataPro[0].DataID / other);
                    if (pageSize > 0) {
                        if ($id.next().hasClass("page")) {
                            $id.empty();
                            $id.html("<img class=\"loading\" src=\"/content/images/loading.gif\"/>");
                            $id.empty();
                            $.each(DataPro, function (i, obj) {
                                $id.append('<div class="dqjs_list_li"><a target=_blank class="dqjs_list_img" href="/cpc/getDetail?id=' + obj.ID + '"  title="' + obj.Title + '"><img src="' + getFullurl(obj.PicUrl) + '?imageView2/2/w/300/h/188/" style="width:300px;height:188px;"></a><div class="dqjs_list_con"><h3><a target=_blank href="/cpc/GetDetail?id=' + obj.ID + '" title="' + obj.Title + '">' + obj.Title + '</a></h3><p>' + obj.Summary + '</p><span class="date">发布时间：' + getFDate(obj.CreateTime) + '</span></div></div>')
                            });
                            $id.children(".loading").remove();
                        }
                        else {
                            $id.after("<div class=\"page clearfix\" id=\"" + id + "pages\" ></div>");
                            $id.empty();
                            $.each(DataPro, function (i, obj) {
                                $id.append('<div class="dqjs_list_li"><a target=_blank class="dqjs_list_img" href="/cpc/getDetail?id=' + obj.ID + '"  title="' + obj.Title + '"><img src="' + getFullurl(obj.PicUrl) + '?imageView2/2/w/300/h/188/" style="width:300px;height:188px;"></a><div class="dqjs_list_con"><h3><a target=_blank href="/cpc/GetDetail?id=' + obj.ID + '" title="' + obj.Title + '">' + obj.Title + '</a></h3><p>' + obj.Summary + '</p><span class="date">发布时间：' + getFDate(obj.CreateTime) + '</span></div></div>')
                            });
                        }
                        kkpager.init({
                            //divID
                            pagerid: id + "pages",
                            //当前页码
                            pno: p,
                            //总页码
                            total: pageSize,
                            //总数据条数
                            totalRecords: DataPro[0].DataID,
                            //链接前部
                            hrefFormer: "javascript:getDataDq(\'" + id + "\'",
                            hrefLatter: "," + other + ");"
                        });
                        kkpager.generPageHtml();
                    }
                }
            },
            error: function () {
                console.log("党群建设接口报错");
            }
        });
    }
}
function getDatacsr(id, p, other) {
    var guid = "7b204d62-bccd-476d-b2c6-8261d1e1f262";
    var $id = $("." + id);
    $.ajax({
        type: "Post",
        url: "/csr/dtbdList?Guid=" + guid + "&page=" + p + "&row=" + other,
        dataType: "json",
        success: function (DataPro) {
            if (DataPro == null) {
                alert("暂无数据")
            }
            else {
                var pageSize = Math.ceil(DataPro[0].DataID / other);
                if (pageSize > 0) {
                    if ($id.next().hasClass("page")) {
                        $id.empty();
                        $id.html("<img class=\"loading\" src=\"/content/images/loading.gif\"/>");
                        $id.empty();
                        $.each(DataPro, function (i, obj) {
                            $id.append("<div class=\"shzr_list_li\"><a target=_blank class=\"shzr_list_img\" href=\"/csr/GetDetail?id=" + obj.ID + "\" target=\"_blank\" title=\"\"><img src=\"" + getFullurl(obj.PicUrl) + "?imageView2/2/w/300/h/188/\" style=\"width:300px;height:188px\"></a><div class=\"shzr_list_con\"> <h3><a target=_blank href=\"/csr/GetDetail?id=" + obj.ID + "\" target=\"_blank\" title=\"\">" + obj.Title + "</a></h3><p>" + obj.Summary + "</p><span class=\"date\">发布时间：" + getFDate(obj.CreateTime) + "</span></div></div>");
                        });
                        $id.children(".loading").remove();
                    }
                    else {
                        $id.after("<div class=\"page\" id=\"" + id + "pages\" ></div>");
                        $id.empty();
                        $.each(DataPro, function (i, obj) {
                            $id.append("<div class=\"shzr_list_li\"><a target=_blank class=\"shzr_list_img\" href=\"/csr/GetDetail?id=" + obj.ID + "\" target=\"_blank\" title=\"\"><img src=\"" + getFullurl(obj.PicUrl) + "?imageView2/2/w/300/h/188/\" style=\"width:300px;height:188px\"></a><div class=\"shzr_list_con\"> <h3><a target=_blank href=\"/csr/GetDetail?id=" + obj.ID + "\" target=\"_blank\" title=\"\">" + obj.Title + "</a></h3><p>" + obj.Summary + "</p><span class=\"date\">发布时间：" + getFDate(obj.CreateTime) + "</span></div></div>");
                        });
                    }
                    kkpager.init({
                        //divID
                        pagerid: id + "pages",
                        //当前页码
                        pno: p,
                        //总页码
                        total: pageSize,
                        //总数据条数
                        totalRecords: DataPro[0].DataID,
                        //链接前部
                        hrefFormer: "javascript:getDatacsr(\'" + id + "\'",
                        hrefLatter: "," + other + ");"
                    });
                    kkpager.generPageHtml();
                }
            }
        },
        error: function () {
            console.log("社会责任接口报错");
        }
    });
}
//投资者关系 pdf下载
function getDatair(id, p, other, guid) {
    var $id = $("." + id);
    if (guid == "") {
        guid = $("#dqbg").val();
    }
    if (guid != undefined) {
        $.ajax({
            type: "Post",
            url: "/ir/dtbdList?Guid=" + guid + "&page=" + p + "&row=" + other,
            dataType: "json",
            success: function (DataPro) {
                if (DataPro == null) {
                    alert("暂无数据")
                }
                else {
                    $id.empty();
                    var pageSize = Math.ceil(DataPro[0].DataID / other);
                    if (pageSize > 0) {
                        if ($id.next().hasClass("page")) {
                            $id.empty();
                            $id.html("<img class=\"loading\" src=\"/content/images/loading.gif\"/>");
                            $id.empty();
                            $.each(DataPro, function (i, obj) {
                                $id.append("<div class=\"xxpl_list_li\"><div class=\"icon_pdf\"></div><a target=_blank  href=\"" + getFullurl(obj.PicUrl) + "\"><div class=\"xxpl_text\"><h3>" + obj.Title + "</h3><div class=\"xxpl_date_con clearfix\"><div class=\"xxpl_date\">发布时间：" + getFDate(obj.CreateTime) + "</div><div class=\"icon_download\">下载</div></div></div></a><div class=\"xxpl_sj\"></div></div>");
                            });
                            $id.children(".loading").remove();
                        }
                        else {
                            $id.after("<div class=\"page\" id=\"" + id + "pages\" ></div>");
                            $id.empty();
                            $.each(DataPro, function (i, obj) {
                                $id.append("<div class=\"xxpl_list_li\"><div class=\"icon_pdf\"></div><a target=_blank href=\"" + getFullurl(obj.PicUrl)+ "\"><div class=\"xxpl_text\"><h3>" + obj.Title + "</h3><div class=\"xxpl_date_con clearfix\"><div class=\"xxpl_date\">发布时间：" + getFDate(obj.CreateTime) + "</div><div class=\"icon_download\">下载</div></div></div></a><div class=\"xxpl_sj\"></div></div>");
                            });
                        }
                        kkpager.init({
                            //divID
                            pagerid: id + "pages",
                            //当前页码
                            pno: p,
                            //总页码
                            total: pageSize,
                            //总数据条数
                            totalRecords: DataPro[0].DataID,
                            //链接前部
                            hrefFormer: "javascript:getDatair(\'" + id + "\'",
                            hrefLatter: "," + other + ",'" + guid + "');"
                        });
                        kkpager.generPageHtml();
                    }
                }
            },
            error: function () {
                console.log("投资接口报错");
            }
        });
    }
}
//投资者关系 新闻
function getDatairNew(id, p, other, guid, tit) {
    var $id = $("#" + id);
   
    $.ajax({
        type: "Post",
        url: "/news/dtbdList?Guid=" + guid + "&page=" + p + "&row=" + other + "&title=" + tit,
        dataType: "json",
        success: function (DataPro) {
            $id.empty();
            if (DataPro != null) {

                var pageSize = Math.ceil(DataPro[0].DataID / other);
                if (pageSize > 0) {
                    if ($id.next().hasClass("page")) {
                        $id.empty();
                        $.each(DataPro, function (i, obj) {
                            var txt = obj.Summary
                            if (txt.length > 80) {
                                txt = txt.substring(0, 80) + "...";
                            }
                            $id.append('<div class="dtbd_list_li"><a target=_blank class="dtbd_list_img" href="/ir/getDetail?id=' + obj.ID + '" target="_blank" title="' + obj.Title + '"><img src="' + getFullurl(obj.PicUrl) + '?imageView2/2/w/244/h/183/" alt="' + obj.Title + '"></a><div class="dtbd_list_con"><h3><a target=_blank href="/ir/GetDetail?id=' + obj.ID + '"  title="' + obj.Title + '">' + obj.Title + '</a></h3><p>' + txt + '</p><span class="date">发布时间：' + getFDate(obj.CreateTime) + '</span></div></div>');
                        });
                        $id.children(".loading").remove();
                      
                    }
                    else {
                        $id.after("<div class=\"page clearfix\" id=\"" + id + "pages\" ></div>");
                        $id.empty();
                        $.each(DataPro, function (i, obj) {
                            var txt = obj.Summary
                            if (txt.length > 80) {
                                txt = txt.substring(0, 80) + "...";
                            }
                            $id.append('<div class="dtbd_list_li"><a target=_blank class="dtbd_list_img" href="/ir/getDetail?id=' + obj.ID + '" target="_blank" title="' + obj.Title + '"><img src="' + getFullurl(obj.PicUrl) + '?imageView2/2/w/244/h/183/" alt="' + obj.Title + '"></a><div class="dtbd_list_con"><h3><a target=_blank href="/ir/GetDetail?id=' + obj.ID + '"  title="' + obj.Title + '">' + obj.Title + '</a></h3><p>' + txt + '</p><span class="date">发布时间：' + getFDate(obj.CreateTime) + '</span></div></div>');
                        });
                        
                    }
                    kkpager.init({
                        //divID
                        pagerid: id + "pages",
                        //当前页码
                        pno: p,
                        //总页码
                        total: pageSize,
                        //总数据条数
                        totalRecords: DataPro[0].DataID,
                        //链接前部
                        hrefFormer: "javascript:getDatairNew(\'" + id + "\'",
                        hrefLatter: "," + other + ",'" + guid + "','" + tit + "');"
                    });
                    kkpager.generPageHtml();

                }
            }
        },
        error: function () {
            console.log("新闻资讯接口报错");
        }
    });
}

function getDatahr(id, p, other, guid) {
    var $id = $("." + id);
    var nName = $("#TypeName").val();
    if (guid == "") {
        guid = $("#hr_dqbg").val();
    }
    if (guid != undefined && nName != "" && nName != undefined) {
        $.ajax({
            type: "Post",
            url: "/hr/dtbdList?Guid=" + guid + "&page=" + p + "&row=" + other,
            dataType: "json",
            success: function (DataPro) {
                if (DataPro == null) {
                    alert("暂无数据")
                }
                else {
                    $id.empty();
                    var pageSize = Math.ceil(DataPro[0].DataID / other);
                    if (pageSize > 0) {
                        if ($id.next().hasClass("page")) {
                            $id.empty();
                            $id.html("<img class=\"loading\" src=\"/content/images/loading.gif\"/>");
                            $id.empty();
                            $.each(DataPro, function (i, obj) {
                                $id.append("<div class=\"recruit_list_li\"><div class=\"recruit_text\"><h3><a target=_blank href=\"/hr/GetDetail?id=" + obj.ID + "&name=" + nName + "\" target=\"_blank\">" + obj.Title + "</a></h3><div class=\"recruit_date\">发布时间：" + getFDate(obj.CreateTime) + "</div></div><div class=\"recruit_sj\"></div></div>");
                            });
                            $id.children(".loading").remove();
                        }
                        else {
                            $id.after("<div class=\"page\" id=\"" + id + "pages\" ></div>");
                            $id.empty();
                            $.each(DataPro, function (i, obj) {
                                $id.append("<div class=\"recruit_list_li\"><div class=\"recruit_text\"><h3><a target=_blank href=\"/hr/GetDetail?id=" + obj.ID + "&name=" + nName + "\" target=\"_blank\">" + obj.Title + "</a></h3><div class=\"recruit_date\">发布时间：" + getFDate(obj.CreateTime) + "</div></div><div class=\"recruit_sj\"></div></div>");
                            });
                        }
                        kkpager.init({
                            //divID
                            pagerid: id + "pages",
                            //当前页码
                            pno: p,
                            //总页码
                            total: pageSize,
                            //总数据条数
                            totalRecords: DataPro[0].DataID,
                            //链接前部
                            hrefFormer: "javascript:getDatahr(\'" + id + "\'",
                            hrefLatter: "," + other + ",'" + guid + "');"
                        });
                        kkpager.generPageHtml();
                    }
                }
            },
            error: function () {
                console.log("人才接口报错");
            }
        });
    }
}

function getFDate(date) {
    var d = eval('new ' + date.substr(1, date.length - 2));
    var ar_date = [d.getFullYear(), d.getMonth() + 1, d.getDate()];
    for (var i = 0; i < ar_date.length; i++) ar_date[i] = dFormat(ar_date[i]);
    return ar_date.join('-');
}
function dFormat(i) {
    return i < 10 ? "0" + i.toString() : i;
}
// 新闻资讯--分页
var kkpager = {
    //divID
    pagerid: 'div_pager',
    //当前页码
    pno: 1,
    //总页码
    total: 1,
    //总数据条数
    totalRecords: 0,
    //是否显示总页数
    isShowTotalPage: false,
    //是否显示总记录数
    isShowTotalRecords: false,
    //是否显示页码跳转输入框
    isGoPage: false,
    //链接前部
    hrefFormer: '',
    //链接尾部
    hrefLatter: '',
    /****链接算法****/
    getLink: function (n) {
        //这里的算法适用于比如：
        //hrefFormer=http://www.xx.com/news/20131212
        //hrefLatter=.html
        //那么首页（第1页）就是http://www.xx.com/news/20131212.html
        //第2页就是http://www.xx.com/news/20131212_2.html
        //第n页就是http://www.xx.com/news/20131212_n.html
        if (n == 0) {
            return this.hrefFormer + this.hrefLatter;
        } else {
            return this.hrefFormer + ',' + n + this.hrefLatter;
        }
    },
    //跳转框得到输入焦点时
    focus_gopage: function () {
        var btnGo = $('#btn_go');
        $('#btn_go_input').attr('hideFocus', true);
        btnGo.show();
        btnGo.css('left', '0px');
        $('#go_page_wrap').css('border-color', '#6694E3');
        btnGo.animate({ left: '+=44' }, 50, function () {
            //$('#go_page_wrap').css('width','88px');
        });
    },

    //跳转框失去输入焦点时
    blur_gopage: function () {
        setTimeout(function () {
            var btnGo = $('#btn_go');
            //$('#go_page_wrap').css('width','44px');
            btnGo.animate({
                left: '-=44'
            }, 100, function () {
                $('#btn_go').css('left', '0px');
                $('#btn_go').hide();
                $('#go_page_wrap').css('border-color', '#DFDFDF');
            });
        }, 400);
    },
    //跳转框页面跳转
    gopage: function () {
        var str_page = $("#btn_go_input").val();
        if (isNaN(str_page)) {
            $("#btn_go_input").val(this.next);
            return;
        }
        var n = parseInt(str_page);
        if (n < 1 || n > this.total) {
            $("#btn_go_input").val(this.next);
            return;
        }
        //这里可以按需改window.open
        window.location = this.getLink(n);
    },
    //分页按钮控件初始化
    init: function (config) {
        //赋值
        this.pno = isNaN(config.pno) ? 1 : parseInt(config.pno);
        this.total = isNaN(config.total) ? 1 : parseInt(config.total);
        this.totalRecords = isNaN(config.totalRecords) ? 0 : parseInt(config.totalRecords);
        if (config.pagerid) {
            this.pagerid = config.pagerid;
        }
        if (config.isShowTotalPage != undefined) {
            this.isShowTotalPage = config.isShowTotalPage;
        }
        if (config.isShowTotalRecords != undefined) {
            this.isShowTotalRecords = config.isShowTotalRecords;
        }
        if (config.isGoPage != undefined) {
            this.isGoPage = config.isGoPage;
        }
        this.hrefFormer = config.hrefFormer || '';
        this.hrefLatter = config.hrefLatter || '';
        if (config.getLink && typeof (config.getLink) == 'function') {
            this.getLink = config.getLink;
        }
        //验证
        if (this.pno < 1) this.pno = 1;
        this.total = (this.total <= 1) ? 1 : this.total;
        if (this.pno > this.total) this.pno = this.total;
        this.prv = (this.pno <= 2) ? 1 : (this.pno - 1);
        this.next = (this.pno >= this.total - 1) ? this.total : (this.pno + 1);
        this.hasPrv = (this.pno > 1);
        this.hasNext = (this.pno < this.total);
        this.inited = true;
    },
    //生成分页控件Html
    generPageHtml: function () {
        if (!this.inited) {
            return;
        }

        var str_prv = '', str_next = '';
        if (this.hasPrv) {
            str_prv = '<li><a href="' + this.getLink(this.prv) + '" title="上一页">上一页</a></li>';
        } else {
            str_prv = '<li  class="hide"><span class="disabled">上一页</span></li>';
        }

        if (this.hasNext) {
            str_next = '<li class="bor0"><a href="' + this.getLink(this.next) + '" title="下一页">下一页</a></li>';
        } else {
            str_next = '<li class="hide"><span class="disabled">下一页</span></li>';
        }


        var str = '';
        var dot = '<li><span>...</span></li>';
        var total_info = '';
        if (this.isShowTotalPage || this.isShowTotalRecords) {
            total_info = '<span class="normalsize">共';
            if (this.isShowTotalPage) {
                total_info += this.total + '页';
                if (this.isShowTotalRecords) {
                    total_info += '&nbsp;/&nbsp;';
                }
            }
            if (this.isShowTotalRecords) {
                total_info += this.totalRecords + '条产品';
            }

            total_info += '</span>';

        }
        var gopage_info = '';
        if (this.isGoPage) {
            gopage_info = '&nbsp;转到<span id="go_page_wrap" style="display:inline-block;width:44px;height:18px;border:1px solid #DFDFDF;margin:0px 1px;padding:0px;position:relative;left:0px;top:5px;">' +
        '<input type="button" id="btn_go" onclick="kkpager.gopage();" style="width:44px;height:20px;line-height:20px;padding:0px;font-family:arial,宋体,sans-serif;text-align:center;border:0px;background-color:#0063DC;color:#FFF;position:absolute;left:0px;top:-1px;display:none;" value="确定" />' +
        '<input type="text" id="btn_go_input" onfocus="kkpager.focus_gopage()" onkeypress="if(event.keyCode<48 || event.keyCode>57)return false;" onblur="kkpager.blur_gopage()" style="width:42px;height:16px;text-align:center;border:0px;position:absolute;left:0px;top:0px;outline:none;" value="' + this.next + '" /></span>页';
        }

        //分页处理
        if (this.total <= 8) {
            for (var i = 1; i <= this.total; i++) {
                if (this.total == 1) {

                }
                else if (this.pno == i) {
                    str += '<li><span class="curr">' + i + '</span></li>';
                } else {
                    str += '<li><a href="' + this.getLink(i) + '" title="第' + i + '页">' + i + '</a></li>';
                }


            }
        } else {
            if (this.pno <= 3) {
                for (var i = 1; i <= 5; i++) {
                    if (this.pno == i) {
                        str += '<li><span class="curr">' + i + '</span></li>';
                    } else {
                        str += '<li><a href="' + this.getLink(i) + '" title="第' + i + '页">' + i + '</a></li>';
                    }
                }
                str += dot + '<li><a href="' + this.getLink(this.total) + '" title="下一页">' + this.total + '</a></li>';
            } else {
                str += '<li><a href="' + this.getLink(1) + '" title="第1页">1</a></li>';
                str += dot;

                var begin = this.pno - 2;
                var end = this.pno + 2;
                if (end > this.total) {
                    end = this.total;
                    begin = end - 4;
                    if (this.pno - begin < 2) {
                        begin = begin - 1;
                    }
                } else if (end + 1 == this.total) {
                    end = this.total;
                }
                for (var i = begin; i <= end; i++) {
                    if (this.pno == i) {
                        str += '<li><span class="curr">' + i + '</span></li>';
                    } else {
                        str += '<li><a href="' + this.getLink(i) + '" title="第' + i + '页">' + i + '</a></li>';
                    }
                }
                if (end != this.total) {
                    str += dot + '<li><a href="' + this.getLink(this.total) + '" title="下一页">' + this.total + '</a></li>';
                }
            }
        }

        str = "&nbsp;" + str_prv + str + str_next + total_info + gopage_info;
        $("#" + this.pagerid).html(str);
    }
};

function photosSlider() {
  var winHeight = $(window).height(), //浏览器窗口高度
    conWidth = $(".photos_con").width(),  //图片宽度
    listLen = $(".photos_con .photos_img").length,  //图片总数
    $photosBox = $(".photos_box"),
    $photosImg = $(".photos_img"),
    $photosBtn = $(".btn_photos"),
    $photosBtnLeft = $(".l_btn_photos"),
    $photosBtnRight = $(".r_btn_photos");
  // 初始化
  var curIndex = 1;
  $photosBtnLeft.unbind("click");
  $photosBtnRight.unbind("click");
  $photosBox.attr("style", "");
  $photosImg.attr("style", "");
  $photosBox.width((conWidth * listLen) + "px");
  $photosImg.css({"width": conWidth + "px", "height": winHeight + "px", "line-height": winHeight + "px"});
  $(".photos_pop .cur").html(curIndex);
  $(".photos_pop .zong").html(listLen);
  if (listLen === 1) {
    $photosBtn.hide();
  } else {
    $photosBtn.show();
    $photosBtnLeft.addClass("l_btn_photos_def");
    $photosBtn.removeClass("r_btn_photos_def");
    $photosBtnLeft.click(function () {
      if ($(this).hasClass("l_btn_photos_def")) {
        return false;
      } else {
        curIndex = (curIndex > 1) ? (--curIndex) : (listLen - 1);
        changeTo(curIndex);
        if (curIndex > 1) {
          $photosBtnRight.removeClass("r_btn_photos_def");

        } else {
          $photosBtnLeft.addClass("l_btn_photos_def");
          $photosBtnRight.removeClass("r_btn_photos_def");
          return false;
        }

      }
    });
    $photosBtnRight.click(function () {
      if ($(this).hasClass("r_btn_photos_def")) {
        return false;
      } else {
        curIndex = (curIndex < listLen) ? (++curIndex) : 0;
        changeTo(curIndex);
        if (curIndex < listLen) {
          $photosBtnLeft.removeClass("l_btn_photos_def");

        } else {
          $photosBtnRight.addClass("r_btn_photos_def");
          $photosBtnLeft.removeClass("l_btn_photos_def");
          return false;
        }
      }
    });
  }

  function changeTo(num) {
    var goLeft = (num - 1) * conWidth;
    setTimeout(function () {
      var imgTit = $(".photos_img img").eq(curIndex - 1).attr("alt");
      var imgCon = $photosImg.eq(curIndex - 1).attr("data-con");
      $photosBox.animate({left: "-" + goLeft + "px"}, 300);
      $(".photos_pop .cur").html(curIndex);
      $(".photos_pop .zong").html(listLen);
      $(".photos_img_tit h3").html(imgTit);
      $(".photos_img_jj").html(imgCon);
    }, 500);
  }

}

function videoSlider() {
  var winHeight = $(window).height(), //浏览器窗口高度
    conWidth = $(".video_con").width(),  //视频宽度
    listLen = $(".video_con .video_list").length,  //视频总数
    $videoBox = $(".video_box"),
    $videoBtn = $(".btn_video"),
    $videoBtnLeft = $(".l_btn_video"),
    $videoBtnRight = $(".r_btn_video");
  // 初始化
  var curIndex = 1;
  $videoBtnLeft.unbind("click");
  $videoBtnRight.unbind("click");
  $videoBox.attr("style", "");
  $videoBox.width((conWidth * listLen) + "px");
  if (listLen === 1) {
    $videoBtn.hide();
  } else {
    $videoBtn.show();
    $videoBtnLeft.addClass("l_btn_video_def");
    $videoBtn.removeClass("r_btn_video_def");
    $videoBtnLeft.click(function () {
      if ($(this).hasClass("l_btn_video_def")) {
        return false;
      } else {
        curIndex = (curIndex > 1) ? (--curIndex) : (listLen - 1);
        changeTo(curIndex);
        if (curIndex > 1) {
          $videoBtnRight.removeClass("r_btn_video_def");

        } else {
          $videoBtnLeft.addClass("l_btn_video_def");
          $videoBtnRight.removeClass("r_btn_video_def");
          return false;
        }

      }
    });
    $videoBtnRight.click(function () {
      if ($(this).hasClass("r_btn_video_def")) {
        return false;
      } else {
        curIndex = (curIndex < listLen) ? (++curIndex) : 0;
        changeTo(curIndex);
        if (curIndex < listLen) {
          $videoBtnLeft.removeClass("l_btn_video_def");

        } else {
          $videoBtnRight.addClass("r_btn_video_def");
          $videoBtnLeft.removeClass("l_btn_video_def");
          return false;
        }
      }
    });
  }
  function changeTo(num) {
    var goLeft = (num - 1) * conWidth;
    setTimeout(function () {
      $videoBox.animate({left: "-" + goLeft + "px"}, 300);
    }, 500);
  }
}

function lystSlider() {
  
    var index = 1,
        len = $('.lyst_slider_con li').length,
      timer,
      str = '';
    for (var i = 1; i <= len; i++) {
        if (i === 1) {
            str += '<li class="on"></li>';
        } else {
            str += '<li></li>';
        }
    }
    $('.lyst_slider_list').append(str);
    for (var i = 0; i < len; i++) {
        $('.lyst_slider_con li').eq(i).css({ 'z-index': len - i });
    }
    $('.lyst_slider').hover(function () {
        clearInterval(timer);
    }, function () {
        timer = setInterval(function () {
            play(index + 1);
        }, 3000);
    }).mouseleave();
    $(".lyst_slider_right").click(function () {
        play(index + 1);
    }).hover(function (e) {
        clearInterval(timer);
    }, function (e) {
    });
    $(".lyst_slider_left").click(function () {
        play(index - 1);
    }).hover(function (e) {
        clearInterval(timer);
    }, function (e) {
    });
    $('.lyst_slider_list li').hover(function () {
        play($(this).index() + 1);
    });
    function play(num) {
        if (!$('.lyst_slider').is(':animated')) {
            if (num > len) {
                num = 1;
            } else if (num <= 0) {
                num = len;
            }
            index = num;
            $('.lyst_slider_con li').eq(index - 1).show().siblings().hide();
            $('.lyst_slider_list li').eq(index - 1).addClass('on').siblings().removeClass('on');
        }
    }
}

function lystSlider1(id) {
    var index = 1,
      len = $('#' + id + ' .lyst_slider_con li').length,
      timer,
      str = '';
    for (var i = 1; i <= len; i++) {
        if (i === 1) {
            str += '<li class="on"></li>';
        } else {
            str += '<li></li>';
        }
    }
    $('#' + id + ' .lyst_slider_list').append(str);
    for (var i = 0; i < len; i++) {
        $('#' + id + ' .lyst_slider_con li').eq(i).css({ 'z-index': len - i });
    }
    $('#' + id).hover(function () {
        clearInterval(timer);
    }, function () {
        timer = setInterval(function () {
            play(index + 1);
        }, 3000);
    }).mouseleave();
    $('#' + id + " .lyst_slider_right").click(function () {
        play(index + 1);
    }).hover(function (e) {
        clearInterval(timer);
    }, function (e) {
    });
    $('#' + id + " .lyst_slider_left").click(function () {
        play(index - 1);
    }).hover(function (e) {
        clearInterval(timer);
    }, function (e) {
    });
    $('#' + id + ' .lyst_slider_list li').hover(function () {
        play($(this).index() + 1);
    });

    function play(num) {
        if (!$('#' + id).is(':animated')) {
            if (num > len) {
                num = 1;
            } else if (num <= 0) {
                num = len;
            }
            index = num;
            $('#' + id + ' .lyst_slider_con li').eq(index - 1).show().siblings().hide();
            $('#' + id + ' .lyst_slider_list li').eq(index - 1).addClass('on').siblings().removeClass('on');
        }
    }
}

function shzrSlider() {
    var curIndex = 0,
      listLen = $(".shzr_baogao_list li").length,  //图片总数
      listWid = $(".shzr_baogao_list li").outerWidth(true); //图片宽度
    $(".shzr_baogao_box").width((listWid * listLen) + "px");
    $(".shzr_baogao_l_btn").click(function () {
        if ($(this).hasClass("shzr_baogao_l_btn_def")) {
            return false;
        } else {
            curIndex = (curIndex > 0) ? (--curIndex) : (listLen - 1);
            changeTo(curIndex);
            if (curIndex > 0) {
                $(".shzr_baogao_r_btn").removeClass("shzr_baogao_r_btn_def");
            } else {
                $(".shzr_baogao_l_btn").addClass("shzr_baogao_l_btn_def");
                return false;
            }
        }
    });
    $(".shzr_baogao_r_btn").click(function () {
        if ($(this).hasClass("shzr_baogao_r_btn_def")) {
            return false;
        } else {
            curIndex = (curIndex < listLen - 1) ? (++curIndex) : 0;
            changeTo(curIndex);
            if (curIndex < listLen - 4) {
                $(".shzr_baogao_l_btn").removeClass("shzr_baogao_l_btn_def");
            } else {
                $(".shzr_baogao_r_btn").addClass("shzr_baogao_r_btn_def");
                return false;
            }
        }
    });
    function changeTo(num) {
        var goLeft = num * listWid;
        $(".shzr_baogao_list").animate({ left: "-" + goLeft + "px" }, 500);
    }
}

//获得完整url
function getFullurl(picUrl) {
    // 检查是否以 http:// 或 https:// 开头
    if (/^https?:\/\//i.test(picUrl)) {
        return picUrl;
    }
  
    return 'http://images1.aoyou.com/' + picUrl;
}